gnutls_certificate_get_issuer(3)

NAME
gnutls_certificate_get_issuer - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_certificate_get_issuer(gnutls_certificate_credentials_t sc, gnutls_x509_crt_t cert, gnutls_x509_crt_t * issuer, unsigned int flags);

ARGUMENTS

gnutls_certificate_credentials_t sc
    is a gnutls_certificate_credentials_t structure.

gnutls_x509_crt_t cert
    is the certificate to find issuer for

gnutls_x509_crt_t * issuer
    Will hold the issuer if any. Should be treated as constant.

unsigned int flags
    Use zero or GNUTLS_TL_GET_COPY

DESCRIPTION
This function will return the issuer of a given certificate. As with gnutls_x509_trust_list_get_issuer() this function requires the GNUTLS_TL_GET_COPY flag in order to operate with PKCS 11 trust lists. In that case the issuer must be freed using gnutls_x509_crt_deinit().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/